
import urllib
import urllib2 

class TurboAPIClient:

    def sendMail(self, username, password, serverUrl, mail):
        dataToSend = { 
                       'authuser'       : username, 
                       'authpass'       : password, 
                       'from'           : mail.getFrom(), 
                       'to'             : mail.getTo(), 
                       'cc'             : mail.getCc(),
                       'bcc'            : mail.getBcc(),
                       'subject'        : mail.getSubject(), 
                       'content'        : mail.getContent(),
                       'html_content'   : mail.getHtmlContent(),
                       'custom_headers' : mail.getCustomHeaders(),
                       'mime_raw'       : mail.getMimeRaw()
                     }
        try:
            encodedDataToSend = urllib.urlencode(dataToSend)
            req = urllib2.Request(serverUrl, encodedDataToSend)
            response = urllib2.urlopen(req)
            return response.read()
        except:
            raise
        